import type { HeftConfiguration, IHeftTaskSession, IHeftTaskPlugin } from '@rushstack/heft';
export interface IOpenApiTypescriptPluginEntry {
    sourcePath: string;
    outputPath: string;
}
export interface IOpenApiTypescriptPluginOptions {
    entries: IOpenApiTypescriptPluginEntry[];
}
export default class OpenApiTypescriptPlugin implements IHeftTaskPlugin<IOpenApiTypescriptPluginOptions> {
    apply(heftSession: IHeftTaskSession, heftConfiguration: HeftConfiguration, options: IOpenApiTypescriptPluginOptions): void;
    private _runOpenApiTypescriptAsync;
    private _generateOpenApiTypescript;
}
//# sourceMappingURL=OpenApiTypescriptPlugin.d.ts.map